/*
    Copyright (C) 2012 Bartosz Broda, Jacek Bochenek, Łukasz Biłeńkij, 
    Damian Jaworski, Wojciech Mazur, Dominik Piasecki, Maciej Piasecki, 
    Radosław Ramocki
    
    This program is free software; you can redistribute it and/or modify it
under the terms of the GNU Lesser General Public License as published by the Free
Software Foundation; either version 3 of the License, or (at your option)
any later version.

    This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
or FITNESS FOR A PARTICULAR PURPOSE. 

    See the LICENSE and COPYING files for more details.
*/

#include "config.h"
#include "wbst_optimizer.h"
#include "nfold.h"









int main(int ac,char**av)
{

	Config::init(ac,av);
	wbst_optimizer* optimizer = new wbst_optimizer();
	if(Config::getInstance()->searchMethod.compare("brute-force")==0)
		optimizer->startBruteForce();
	else if(Config::getInstance()->searchMethod.compare("genetic")==0)
		optimizer->startGenetic();
	else
		throw std::runtime_error("Unknown search method");
	std::cout<<"Program finished.\n";
	Config::Delete();
	return 0;

}
